Index: /trunk/LMDZ.TITAN/libf/phytitan/turbdiff.F90
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/turbdiff.F90	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/turbdiff.F90	(revision 1647)
@@ -1,3 +1,3 @@
-      subroutine turbdiff(ngrid,nlay,nq,rnat,          &
+      subroutine turbdiff(ngrid,nlay,nq,               &
           ptimestep,pcapcal,lecrit,                    &   
           pplay,pplev,pzlay,pzlev,pz0,                 &
@@ -5,12 +5,9 @@
           pdtfi,pdqfi,pfluxsrf,            &
           Pdudif,pdvdif,pdtdif,pdtsrf,sensibFlux,pq2,  &
-          pdqdif,pdqevap,pdqsdif,flux_u,flux_v,lastcall)
-
-      use watercommon_h, only : RLVTT, T_h2O_ice_liq, RCPD, mx_eau_sol,Psat_water
+          pdqdif,pdqsdif,flux_u,flux_v,lastcall)
+
       use radcommon_h, only : sigma, glat
-      use surfdat_h, only: dryness
-      use tracer_h, only: igcm_h2o_vap, igcm_h2o_ice
       use comcstfi_mod, only: rcp, g, r, cpp
-      use callkeys_mod, only: water,tracer,nosurf
+      use callkeys_mod, only: tracer,nosurf
 
       implicit none
@@ -62,6 +59,5 @@
       REAL,INTENT(IN) :: pcapcal(ngrid)
       REAL,INTENT(INOUT) :: pq2(ngrid,nlay+1)
-      REAL,INTENT(OUT) :: flux_u(ngrid),flux_v(ngrid)
-      REAL,INTENT(IN) :: rnat(ngrid)      
+      REAL,INTENT(OUT) :: flux_u(ngrid),flux_v(ngrid)  
       LOGICAL,INTENT(IN) :: lastcall ! not used
 
@@ -109,17 +105,8 @@
       INTEGER iq
       REAL zq(ngrid,nlay,nq)
-      REAL zqnoevap(ngrid,nlay) !special for water case to compute where evaporated water goes.
-      REAL pdqevap(ngrid,nlay) !special for water case to compute where evaporated water goes.
       REAL zdmassevap(ngrid)
       REAL rho(ngrid)         ! near-surface air density
-      REAL qsat(ngrid),psat(ngrid)
       REAL kmixmin
 
-!     Variables added for implicit latent heat inclusion
-!     --------------------------------------------------
-      real dqsat(ngrid), qsat_temp1, qsat_temp2,psat_temp
-
-      integer, save :: ivap, iliq, iliq_surf,iice_surf ! also make liq for clarity on surface...
-!$OMP THREADPRIVATE(ivap,iliq,iliq_surf,iice_surf)
 
       real, parameter :: karman=0.4
@@ -133,18 +120,6 @@
 !     --------------
 
-      IF (firstcall) THEN
-
-         if(water)then
-             ivap=igcm_h2o_vap
-             iliq=igcm_h2o_ice
-             iliq_surf=igcm_h2o_vap
-	     iice_surf=igcm_h2o_ice ! simply to make the code legible               
-                                  ! to be generalised
-	 else
-             ivap=0
-             iliq=0
-             iliq_surf=0
-	     iice_surf=0 ! simply to make the code legible               	  
-         endif
+      IF (firstcall) THEN      	  
+
          sensibFlux(:)=0.
 
@@ -202,11 +177,4 @@
             ENDDO
          ENDDO
-         if (water) then
-            DO ilev=1,nlay
-               DO ig=1,ngrid
-                  zqnoevap(ig,ilev)=pq(ig,ilev,ivap) + pdqfi(ig,ilev,ivap)*ptimestep
-               ENDDO
-            ENDDO
-         Endif
       end if
 
@@ -405,5 +373,4 @@
 !       flux (if any) from subsurface
 
-      if(.not.water) then
 
          DO ig=1,ngrid
@@ -427,5 +394,4 @@
          ENDDO
 
-      endif                     ! not water
 
 !-----------------------------------------------------------------------
@@ -446,6 +412,4 @@
 !     -----------------------
          do iq=1,nq 
-
-            if (iq.ne.ivap) then
 
                DO ig=1,ngrid
@@ -462,24 +426,12 @@
                   ENDDO
                ENDDO
-
-               if ((water).and.(iq.eq.iliq)) then
-                  ! special case for condensed water tracer: do not include
-                  ! h2o ice tracer from surface (which is set when handling
-                  ! h2o vapour case (see further down).
-                  ! zb(ig,1)=0 if iq ne ivap
-                  DO ig=1,ngrid
-                     z1(ig)=1./(zmass(ig,1)+zfluxq(ig,2)*(1.-zdq(ig,2)))
-                     zcq(ig,1)=(zmass(ig,1)*zq(ig,1,iq)+zfluxq(ig,2)*zcq(ig,2))*z1(ig)
-                  ENDDO
-               else             ! general case
-                  do ig=1,ngrid
-                     z1(ig)=1./(zmass(ig,1)+zfluxq(ig,2)*(1.-zdq(ig,2)))
-                     zcq(ig,1)=(zmass(ig,1)*zq(ig,1,iq)+zfluxq(ig,2)*zcq(ig,2)+(-pdqsdif(ig,iq))*ptimestep)*z1(ig)
-                          ! tracer flux from surface
-                          ! currently pdqsdif always zero here,
-                          ! so last line is superfluous
-                  enddo
-               endif            ! of if (water.and.(iq.eq.igcm_h2o_ice))
-
+               
+               do ig=1,ngrid
+                  z1(ig)=1./(zmass(ig,1)+zfluxq(ig,2)*(1.-zdq(ig,2)))
+                  zcq(ig,1)=(zmass(ig,1)*zq(ig,1,iq)+zfluxq(ig,2)*zcq(ig,2)+(-pdqsdif(ig,iq))*ptimestep)*z1(ig)
+                  ! tracer flux from surface
+                  ! currently pdqsdif always zero here,
+                  ! so last line is superfluous
+               enddo
 
 !     Starting upward calculations for simple tracer mixing (e.g., dust)
@@ -493,190 +445,6 @@
                   end do
                end do
-
-            endif               ! if (iq.ne.ivap)
-
-!     Calculate temperature tendency including latent heat term
-!     and assuming an infinite source of water on the ground
-!     ------------------------------------------------------------------
-
-            if (water.and.(iq.eq.ivap)) then 
-            
-               ! compute evaporation efficiency
-               do ig=1,ngrid
-                  if(nint(rnat(ig)).eq.1)then
-                     dryness(ig)=pqsurf(ig,iliq_surf)+pqsurf(ig,iice_surf) 
-                     dryness(ig)=MIN(1.,2*dryness(ig)/mx_eau_sol)
-                     dryness(ig)=MAX(0.,dryness(ig))
-                  endif
-               enddo
-
-               do ig=1,ngrid
-                ! Calculate the value of qsat at the surface (water)
-                call Psat_water(ptsrf(ig),pplev(ig,1),psat(ig),qsat(ig))
-                call Psat_water(ptsrf(ig)-0.0001,pplev(ig,1),psat_temp,qsat_temp1)
-                call Psat_water(ptsrf(ig)+0.0001,pplev(ig,1),psat_temp,qsat_temp2)
-                dqsat(ig)=(qsat_temp2-qsat_temp1)/0.0002
-                ! calculate dQsat / dT by finite differences
-                ! we cannot use the updated temperature value yet...
-	       enddo
-
-! coefficients for q
-
-               do ig=1,ngrid
-                  z1(ig)=1./(zmass(ig,nlay)+zfluxq(ig,nlay))
-                  zcq(ig,nlay)=zmass(ig,nlay)*zq(ig,nlay,iq)*z1(ig)
-                  zdq(ig,nlay)=zfluxq(ig,nlay)*z1(ig)
-               enddo 
-          
-               do ilay=nlay-1,2,-1
-                  do ig=1,ngrid
-                     z1(ig)=1./(zmass(ig,ilay)+zfluxq(ig,ilay)+zfluxq(ig,ilay+1)*(1.-zdq(ig,ilay+1)))
-                     zcq(ig,ilay)=(zmass(ig,ilay)*zq(ig,ilay,iq)+zfluxq(ig,ilay+1)*zcq(ig,ilay+1))*z1(ig)
-                     zdq(ig,ilay)=zfluxq(ig,ilay)*z1(ig)
-                  enddo
-               enddo
-
-               do ig=1,ngrid
-                  z1(ig)=1./(zmass(ig,1)+zfluxq(ig,1)*dryness(ig)+zfluxq(ig,2)*(1.-zdq(ig,2)))
-                  zcq(ig,1)=(zmass(ig,1)*zq(ig,1,iq)+zfluxq(ig,2)*zcq(ig,2))*z1(ig)
-                  zdq(ig,1)=dryness(ig)*zfluxq(ig,1)*z1(ig)
-               enddo
-
-              do ig=1,ngrid
-!calculation of surface temperature
-                  zdq0(ig) = dqsat(ig)
-                  zcq0(ig) = qsat(ig)-dqsat(ig)*ptsrf(ig)
-
-                  z1(ig) = pcapcal(ig)*ptsrf(ig) +cpp*zfluxt(ig,1)*zct(ig,1)*zovExner(ig,1)   &
-		      + zdplanck(ig)*ptsrf(ig) + pfluxsrf(ig)*ptimestep                       &
-                      + zfluxq(ig,1)*dryness(ig)*RLVTT*((zdq(ig,1)-1.0)*zcq0(ig)+zcq(ig,1))
-
-                  z2(ig) = pcapcal(ig) + cpp*zfluxt(ig,1)*(1.-zovExner(ig,1)*zdt(ig,1))       &
-                      + zdplanck(ig)+zfluxq(ig,1)*dryness(ig)*RLVTT*zdq0(ig)*(1.0-zdq(ig,1))
-
-                  ztsrf(ig) = z1(ig) / z2(ig)
-
-! calculation of qs and q1
-                  zq0(ig)     = zcq0(ig)+zdq0(ig)*ztsrf(ig)
-                  zq(ig,1,iq) = zcq(ig,1)+zdq(ig,1)*zq0(ig)
-
-! calculation of evaporation              
-                  dqsdif_total(ig)=zfluxq(ig,1)*dryness(ig)*(zq(ig,1,ivap)-zq0(ig))
-
-!     --------------------------------------------------------
-!     Now check if we've taken too much water from the surface
-!     This can only occur on the continent 
-!     If we do, we recompute Tsurf, T1 and q1 accordingly
-                  if((-dqsdif_total(ig).gt.(pqsurf(ig,iice_surf)+pqsurf(ig,iliq_surf))).and.rnat(ig).eq.1)then
-                      !water flux * ptimestep
-	              dqsdif_total(ig)=-(pqsurf(ig,iice_surf)+pqsurf(ig,iliq_surf))
-
-                      !recompute surface temperature  
-                      z1(ig) = pcapcal(ig)*ptsrf(ig) +cpp*zfluxq(ig,1)*zct(ig,1)*zovExner(ig,1)   &
-		        + zdplanck(ig)*ptsrf(ig) + pfluxsrf(ig)*ptimestep                       &
-                        + RLVTT*dqsdif_total(ig)
-                      z2(ig) = pcapcal(ig) + cpp*zfluxq(ig,1)*(1.-zovExner(ig,1)*zdt(ig,1))       &
-                        + zdplanck(ig)
-                      ztsrf(ig) = z1(ig) / z2(ig)
-
-                      !recompute q1 with new water flux from surface  
-                      zq(ig,1,iq) = (zmass(ig,1)*(pq(ig,1,iq)+ptimestep*pdqfi(ig,1,iq))  &
-		                            +zfluxq(ig,2)*zcq(ig,2)-dqsdif_total(ig))     &
-                                 / (zmass(ig,1)+(1.-zdq(ig,2))*zfluxq(ig,2))		     
-                  end if
-		  
-! calculation surface T tendency  and T(1)           
-		  pdtsrf(ig) = (ztsrf(ig) - ptsrf(ig))/ptimestep
-                  zt(ig,1)   = zct(ig,1) + zdt(ig,1)*ztsrf(ig)		      
-               enddo
-
-
-! recalculate temperature and q(vap) to top of atmosphere, starting from ground
-               do ilay=2,nlay
-                  do ig=1,ngrid
-                     zq(ig,ilay,iq)=zcq(ig,ilay)+zdq(ig,ilay)*zq(ig,ilay-1,iq)
-                     zt(ig,ilay)=zct(ig,ilay)+zdt(ig,ilay)*zt(ig,ilay-1)
-                  end do
-               end do
-
-
-               do ig=1,ngrid
-!     --------------------------------------------------------------------------
-!     On the ocean, if T > 0 C then the vapour tendency must replace the ice one
-!     The surface vapour tracer is actually liquid. To make things difficult.
-
-                  if (nint(rnat(ig)).eq.0) then ! unfrozen ocean
-                     
-                     pdqsdif(ig,iliq_surf)=dqsdif_total(ig)/ptimestep
-                     pdqsdif(ig,iice_surf)=0.0
-
-                  elseif (nint(rnat(ig)).eq.1) then ! (continent)
-!     If water is evaporating / subliming, we take it from ice before liquid
-!     -- is this valid??
-                     if(dqsdif_total(ig).lt.0)then
-                        if (-dqsdif_total(ig).gt.pqsurf(ig,iice_surf))then
-                           pdqsdif(ig,iice_surf) = -pqsurf(ig,iice_surf)/ptimestep ! removes all the ice!
-                           pdqsdif(ig,iliq_surf) = dqsdif_total(ig)/ptimestep- pdqsdif(ig,iice_surf) ! take the remainder from the liquid instead
-			else               
-                           pdqsdif(ig,iice_surf)=dqsdif_total(ig)/ptimestep
-			   pdqsdif(ig,iliq_surf)=0.
-			end if
-	             else !dqsdif_total(ig).ge.0
-                        !If water vapour is condensing, we must decide whether it forms ice or liquid.
-                        if(ztsrf(ig).gt.T_h2O_ice_liq)then
-                           pdqsdif(ig,iice_surf)=0.0
-                           pdqsdif(ig,iliq_surf)=dqsdif_total(ig)/ptimestep
-                        else
-                           pdqsdif(ig,iice_surf)=dqsdif_total(ig)/ptimestep
-                           pdqsdif(ig,iliq_surf)=0.0
-                        endif               
-                     endif
-
-                  elseif (nint(rnat(ig)).eq.2) then ! (continental glaciers)
-		     pdqsdif(ig,iliq_surf)=0.0
-                     pdqsdif(ig,iice_surf)=dqsdif_total(ig)/ptimestep
-
-		  endif !rnat
-               end do            ! of DO ig=1,ngrid
-
-           endif                ! if (water et iq=ivap)
         end do                  ! of do iq=1,nq
-
-        if (water) then  ! special case where we recompute water mixing without any evaporation.
-	                 !    The difference with the first calculation then tells us where evaporated water has gone
-
-            DO ig=1,ngrid
-               z1(ig)=1./(zmass(ig,nlay)+zfluxq(ig,nlay))
-               zcq(ig,nlay)=zmass(ig,nlay)*zqnoevap(ig,nlay)*z1(ig)
-               zdq(ig,nlay)=zfluxq(ig,nlay)*z1(ig)
-            ENDDO 
-            
-            DO ilay=nlay-1,2,-1
-               DO ig=1,ngrid
-                  z1(ig)=1./(zmass(ig,ilay)+zfluxq(ig,ilay)+zfluxq(ig,ilay+1)*(1.-zdq(ig,ilay+1)))
-                  zcq(ig,ilay)=(zmass(ig,ilay)*zqnoevap(ig,ilay)+zfluxq(ig,ilay+1)*zcq(ig,ilay+1))*z1(ig)
-                  zdq(ig,ilay)=zfluxq(ig,ilay)*z1(ig)
-               ENDDO
-            ENDDO
-
-            do ig=1,ngrid
-               z1(ig)=1./(zmass(ig,1)+zfluxq(ig,2)*(1.-zdq(ig,2)))
-               zcq(ig,1)=(zmass(ig,1)*zqnoevap(ig,1)+zfluxq(ig,2)*zcq(ig,2))*z1(ig)
-            enddo
-
-!     Starting upward calculations for simple tracer mixing (e.g., dust)
-            do ig=1,ngrid
-               zqnoevap(ig,1)=zcq(ig,1)
-            end do
-
-            do ilay=2,nlay
-               do ig=1,ngrid
-                  zqnoevap(ig,ilay)=zcq(ig,ilay)+zdq(ig,ilay)*zqnoevap(ig,ilay-1)
-               end do
-            end do
-
-         endif               ! if water
-	
-	
+                       
       endif                     ! tracer
 
@@ -706,22 +474,5 @@
             enddo
          enddo
-	 if (water) then
-            do ilev = 1, nlay
-               do ig=1,ngrid
-                  pdqevap(ig,ilev)=(zq(ig,ilev,ivap)-zqnoevap(ig,ilev))/ptimestep
-               enddo
-            enddo
-            do ig=1,ngrid
-	       zdmassevap(ig)=SUM(pdqevap(ig,:)*zmass(ig,:))*ptimestep
-	    end do	    
-	 endif
       endif 
-
-      if(water)then
-         call writediagfi(ngrid,'beta','Dryness coefficient',' ',2,dryness)
-         if (tracer) then
-            call writediagfi(ngrid,'dqevap','evaporated water vapor specific concentration','s-1',3,pdqevap)
-	 endif
-      endif
 
 !      if(lastcall)then
Index: /trunk/LMDZ.TITAN/libf/phytitan/vdifc.F
===================================================================
--- /trunk/LMDZ.TITAN/libf/phytitan/vdifc.F	(revision 1646)
+++ /trunk/LMDZ.TITAN/libf/phytitan/vdifc.F	(revision 1647)
@@ -1,3 +1,3 @@
-      subroutine vdifc(ngrid,nlay,nq,rnat,ppopsk,         
+      subroutine vdifc(ngrid,nlay,nq,ppopsk,         
      &     ptimestep,pcapcal,lecrit,                        
      &     pplay,pplev,pzlay,pzlev,pz0,
@@ -7,10 +7,9 @@
      &     pdqdif,pdqsdif,lastcall)
 
-      use watercommon_h, only : RLVTT, T_h2O_ice_liq, RCPD, mx_eau_sol
       use radcommon_h, only : sigma
       USE surfdat_h
       USE tracer_h
       use comcstfi_mod, only: g, r, cpp, rcp
-      use callkeys_mod, only: water,tracer,nosurf
+      use callkeys_mod, only: tracer,nosurf
 
       implicit none
@@ -53,6 +52,5 @@
       REAL pdtsrf(ngrid),sensibFlux(ngrid),pcapcal(ngrid)
       REAL pq2(ngrid,nlay+1)
-      
-      real rnat(ngrid)      
+           
 
 !     Arguments added for condensation
@@ -116,32 +114,11 @@
       REAL kmixmin
 
-!     Variables added for implicit latent heat inclusion
-!     --------------------------------------------------
-      real latconst, dqsat(ngrid), qsat_temp1, qsat_temp2
-      real z1_Tdry(ngrid), z2_Tdry(ngrid)
-      real z1_T(ngrid), z2_T(ngrid)
-      real zb_T(ngrid)
-      real zc_T(ngrid,nlay)
-      real zd_T(ngrid,nlay)
-      real lat1(ngrid), lat2(ngrid)
-      real surfh2otot
-      logical surffluxdiag
-      integer isub ! sub-loop for precision
-
-      integer ivap, iice ! also make liq for clarity on surface...
-      save ivap, iice
-!$OMP THREADPRIVATE(ivap,iice)
-
       real, parameter :: karman=0.4
       real cd0, roughratio
 
-      logical forceWC
       real masse, Wtot, Wdiff
 
       real dqsdif_total(ngrid) 
       real zq0(ngrid) 
-
-      forceWC=.true.
-!      forceWC=.false.
 
 
@@ -155,11 +132,4 @@
 !     PRINT*,'In vdifc: Tcond(P=1mb)=',tcond1mb,' Lcond=',latcond
 !     PRINT*,'          acond,bcond',acond,bcond
-
-         if(water)then
-!                iliq=igcm_h2o_vap
-                ivap=igcm_h2o_vap
-                iice=igcm_h2o_ice ! simply to make the code legible               
-                                  ! to be generalised later
-         endif
 
          firstcall=.false.
@@ -404,5 +374,4 @@
 !       flux (if any) from subsurface
 
-      if(.not.water) then
 
          DO ig=1,ngrid
@@ -427,5 +396,4 @@
          ENDDO
 
-      endif                     ! not water
 
 !-----------------------------------------------------------------------
@@ -446,6 +414,4 @@
 !     -----------------------
          do iq=1,nq 
-
-            if (iq.ne.igcm_h2o_vap) then
 
                DO ig=1,ngrid
@@ -465,16 +431,6 @@
                ENDDO
 
-               if ((water).and.(iq.eq.iice)) then
-                  ! special case for water ice tracer: do not include
-                  ! h2o ice tracer from surface (which is set when handling
-                  ! h2o vapour case (see further down).
-                  ! zb(ig,1)=0 if iq ne ivap
-                  DO ig=1,ngrid
-                     z1(ig)=1./(za(ig,1)+
-     &                    zb(ig,2)*(1.-zdq(ig,2)))
-                     zcq(ig,1)=(za(ig,1)*zq(ig,1,iq)+
-     &                    zb(ig,2)*zcq(ig,2))*z1(ig)
-                  ENDDO
-               else             ! general case
+
+
                   DO ig=1,ngrid
                      z1(ig)=1./(za(ig,1)+
@@ -487,5 +443,4 @@
                           ! so last line is superfluous
                   enddo
-               endif            ! of if (water.and.(iq.eq.igcm_h2o_ice))
 
 
@@ -502,152 +457,5 @@
                end do
 
-            endif               ! if (iq.ne.igcm_h2o_vap)
-
-!     Calculate temperature tendency including latent heat term
-!     and assuming an infinite source of water on the ground
-!     ------------------------------------------------------------------
-
-            if (water.and.(iq.eq.igcm_h2o_vap)) then 
-            
-               ! compute evaporation efficiency
-               do ig = 1, ngrid
-                  if(nint(rnat(ig)).eq.1)then
-                     dryness(ig)=pqsurf(ig,ivap)+pqsurf(ig,iice) 
-                     dryness(ig)=MIN(1.,2*dryness(ig)/mx_eau_sol)
-                     dryness(ig)=MAX(0.,dryness(ig))
-                  endif
-               enddo
-
-               do ig=1,ngrid
-
-                ! Calculate the value of qsat at the surface (water)
-                call watersat(ptsrf(ig),pplev(ig,1),qsat(ig))
-                call watersat(ptsrf(ig)-0.0001,pplev(ig,1),qsat_temp1)
-                call watersat(ptsrf(ig)+0.0001,pplev(ig,1),qsat_temp2)
-                dqsat(ig)=(qsat_temp2-qsat_temp1)/0.0002
-                ! calculate dQsat / dT by finite differences
-                ! we cannot use the updated temperature value yet...
- 
-               enddo
-
-! coefficients for q
-
-               do ig=1,ngrid
-                  z1(ig)=1./(za(ig,nlay)+zb(ig,nlay))
-                  zcq(ig,nlay)=za(ig,nlay)*zq(ig,nlay,iq)*z1(ig)
-                  zdq(ig,nlay)=zb(ig,nlay)*z1(ig)
-               enddo 
-            
-               do ilay=nlay-1,2,-1
-                  do ig=1,ngrid
-                     z1(ig)=1./(za(ig,ilay)+zb(ig,ilay)+
-     $                    zb(ig,ilay+1)*(1.-zdq(ig,ilay+1)))
-                     zcq(ig,ilay)=(za(ig,ilay)*zq(ig,ilay,iq)+
-     $                    zb(ig,ilay+1)*zcq(ig,ilay+1))*z1(ig)
-                     zdq(ig,ilay)=zb(ig,ilay)*z1(ig)
-                  enddo
-               enddo
-
-               do ig=1,ngrid
-                  z1(ig)=1./(za(ig,1)+zb(ig,1)*dryness(ig)+
-     $                 zb(ig,2)*(1.-zdq(ig,2)))
-                  zcq(ig,1)=(za(ig,1)*zq(ig,1,iq)+
-     $                 zb(ig,2)*zcq(ig,2))*z1(ig)
-                  zdq(ig,1)=dryness(ig)*zb(ig,1)*z1(ig)
-               enddo
-
-! calculation of h0 and h1
-               do ig=1,ngrid
-                  zdq0(ig) = dqsat(ig)
-                  zcq0(ig) = qsat(ig)-dqsat(ig)*ptsrf(ig)
-
-                  z1(ig) = pcapcal(ig)*ptsrf(ig) +cpp*zb(ig,1)*zc(ig,1)
-     &                 + zdplanck(ig)*ptsrf(ig) + pfluxsrf(ig)*ptimestep 
-     &                 +  zb(ig,1)*dryness(ig)*RLVTT*
-     &                 ((zdq(ig,1)-1.0)*zcq0(ig)+zcq(ig,1))
-
-                  z2(ig) = pcapcal(ig) + cpp*zb(ig,1)*(1.-zd(ig,1))
-     &                 +zdplanck(ig)
-     &                 +zb(ig,1)*dryness(ig)*RLVTT*zdq0(ig)*
-     &                 (1.0-zdq(ig,1))
-
-                  ztsrf2(ig) = z1(ig) / z2(ig)
-                  pdtsrf(ig) = (ztsrf2(ig) - ptsrf(ig))/ptimestep
-                  zh(ig,1)   = zc(ig,1) + zd(ig,1)*ztsrf2(ig)
-               enddo
-
-! calculation of qs and q1
-               do ig=1,ngrid
-                  zq0(ig)     = zcq0(ig)+zdq0(ig)*ztsrf2(ig)
-                  zq(ig,1,iq) = zcq(ig,1)+zdq(ig,1)*zq0(ig)
-               enddo
-
-! calculation of evaporation              
-               do ig=1,ngrid 
-                  evap(ig)= zb(ig,1)*dryness(ig)*(zq(ig,1,ivap)-zq0(ig))
-                  dqsdif_total(ig)=evap(ig)
-               enddo
-
-! recalculate temperature and q(vap) to top of atmosphere, starting from ground
-               do ilay=2,nlay
-                  do ig=1,ngrid
-                     zq(ig,ilay,iq)=zcq(ig,ilay)
-     &                    +zdq(ig,ilay)*zq(ig,ilay-1,iq)
-                     zh(ig,ilay)=zc(ig,ilay)+zd(ig,ilay)*zh(ig,ilay-1)
-                  end do
-               end do
-
-               do ig=1,ngrid
-
-!     --------------------------------------------------------------------------
-!     On the ocean, if T > 0 C then the vapour tendency must replace the ice one
-!     The surface vapour tracer is actually liquid. To make things difficult.
-
-                  if (nint(rnat(ig)).eq.0) then ! unfrozen ocean
-                     
-                     pdqsdif(ig,ivap)=dqsdif_total(ig)/ptimestep
-                     pdqsdif(ig,iice)=0.0
-
-
-                  elseif (nint(rnat(ig)).eq.1) then ! (continent)
-
-!     --------------------------------------------------------
-!     Now check if we've taken too much water from the surface
-!     This can only occur on the continent 
-
-!     If water is evaporating / subliming, we take it from ice before liquid
-!     -- is this valid??
-                     if(dqsdif_total(ig).lt.0)then
-                        pdqsdif(ig,iice)=dqsdif_total(ig)/ptimestep
-                        pdqsdif(ig,iice)=max(-pqsurf(ig,iice)/ptimestep
-     &                       ,pdqsdif(ig,iice))
-                     endif
-                     ! sublimation only greater than qsurf(ice)
-                     ! ----------------------------------------
-                     ! we just convert some liquid to vapour too
-                     ! if latent heats are the same, no big deal
-                     if (-dqsdif_total(ig).gt.pqsurf(ig,iice))then            
-                       pdqsdif(ig,iice) = -pqsurf(ig,iice)/ptimestep ! removes all the ice!
-                       pdqsdif(ig,ivap) = dqsdif_total(ig)/ptimestep
-     &                       - pdqsdif(ig,iice) ! take the remainder from the liquid instead
-                       pdqsdif(ig,ivap) = max(-pqsurf(ig,ivap)/ptimestep
-     &                       ,pdqsdif(ig,ivap))
-                    endif
-
-                 endif          ! if (rnat.ne.1)
-
-!     If water vapour is condensing, we must decide whether it forms ice or liquid.
-                 if(dqsdif_total(ig).gt.0)then ! a bug was here!
-                    if(ztsrf2(ig).gt.T_h2O_ice_liq)then
-                       pdqsdif(ig,iice)=0.0
-                       pdqsdif(ig,ivap)=dqsdif_total(ig)/ptimestep
-                    else
-                       pdqsdif(ig,iice)=dqsdif_total(ig)/ptimestep
-                       pdqsdif(ig,ivap)=0.0
-                    endif
-                 endif
-
-              end do            ! of DO ig=1,ngrid
-           endif                ! if (water et iq=ivap)
+
         end do                  ! of do iq=1,nq
       endif                     ! traceur
@@ -685,32 +493,5 @@
          enddo
 
-         if(water.and.forceWC)then ! force water conservation in model
-                                   ! we calculate the difference and add it to the ground
-                                   ! this is ugly and should be improved in the future
-            do ig=1,ngrid
-               Wtot=0.0
-               do ilay=1,nlay
-                  masse = (pplev(ig,ilay) - pplev(ig,ilay+1))/g
-!                  Wtot=Wtot+masse*(zq(ig,ilay,iice)-
-!     &                 (pq(ig,ilay,iice)+pdqfi(ig,ilay,iice)*ptimestep))
-                  Wtot=Wtot+masse*(zq(ig,ilay,ivap)-
-     &                 (pq(ig,ilay,ivap)+pdqfi(ig,ilay,ivap)*ptimestep))
-               enddo
-               Wdiff=Wtot/ptimestep+pdqsdif(ig,ivap)+pdqsdif(ig,iice)
-
-               if(ztsrf2(ig).gt.T_h2O_ice_liq)then
-                  pdqsdif(ig,ivap)=pdqsdif(ig,ivap)-Wdiff
-               else
-                  pdqsdif(ig,iice)=pdqsdif(ig,iice)-Wdiff
-               endif
-            enddo
-
-         endif
-
       endif 
-
-      if(water)then
-      call writediagfi(ngrid,'beta','Dryness coefficient',' ',2,dryness)
-      endif
 
 !      if(lastcall)then
